org.keycloak.protocol.saml.profile.util

## Class Soap.SoapMessageBuilder

- java.lang.Object
- - org.keycloak.protocol.saml.profile.util.Soap.SoapMessageBuilder

- Enclosing class:
    Soap

      public static class Soap.SoapMessageBuilder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SOAPHeaderElement` | `addHeader(String name, String prefix)`
    `Soap.SoapMessageBuilder` | `addNamespace(String prefix, String ns)`
    `Soap.SoapMessageBuilder` | `addToBody(Document document)`
    `javax.ws.rs.core.Response` | `build()`
    `org.apache.http.client.methods.HttpPost` | `buildHttpPost(URI uri)` Build method for testing, generates an appache httpcomponents HttpPost
    `SOAPMessage` | `call(String url)` Performs a synchronous call, sending the current message to the given url
    `Name` | `createName(String name)`
    `byte[]` | `getBytes()`
    `SOAPMessage` | `getMessage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addToBody

          public Soap.SoapMessageBuilder addToBody(Document document)

    - #### addNamespace

          public Soap.SoapMessageBuilder addNamespace(String prefix,
                                                      String ns)

    - #### addHeader

          public SOAPHeaderElement addHeader(String name,
                                             String prefix)

    - #### createName

          public Name createName(String name)

    - #### getBytes

          public byte[] getBytes()

    - #### build

          public javax.ws.rs.core.Response build()

    - #### buildHttpPost

          public org.apache.http.client.methods.HttpPost buildHttpPost(URI uri)

      Build method for testing, generates an appache httpcomponents HttpPost
      Parameters:
        `uri` - the URI to which to POST the soap message
      Returns:
        an HttpPost containing the SOAP message

    - #### call

          public SOAPMessage call(String url)
                           throws SOAPException

      Performs a synchronous call, sending the current message to the given url
      Parameters:
        `url` - a SOAP endpoint url
      Returns:
        the SOAPMessage returned by the contacted SOAP server
      Throws:
        `SOAPException` - Raised if there's a problem performing the SOAP call

    - #### getMessage

          public SOAPMessage getMessage()

Copyright © 2021 JBoss by Red Hat. All rights reserved.